%define section         free
%define gcj_support     1

Name:           sleep
Version:        2.1.18
Release:        %mkrel 2
Epoch:          1
Summary:        A perl inspired embed-able scripting language for Java applications
License:        LGPL
URL:            http://sleep.hick.org/
Group:          Development/Java
#Vendor:        JPackage Project
#Distribution:  JPackage
Source0:        http://sleep.hick.org/download/sleep21b18.tgz
Patch0:         sleep-crosslink.patch
BuildRequires:  ant >= 0:1.6
BuildRequires:  java-javadoc
BuildRequires:  jpackage-utils >= 0:1.5
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
%else
BuildRequires:  java-devel >= 0:1.4.2
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Sleep is a perl inspired embed-able scripting language for Java 
applications. The main goals of sleep are easy to learn, easy to 
use, and easy to integrate.

Sleep source and binaries are released under the GNU Lesser General 
Public License History:

Sleep came from an inspired weekend of coding in April 2002. Since 
then Sleep has been developed in parallel with the Java IRC Client, 
jIRCii. Nearly three years later Sleep is a stable and ready to use 
solution for scripting Java applications. Features:

    * Perl inspired language syntax
    * Fast execution/small runtime size (160 KB)
    * Parsed scripts can be serialized
    * Easy API for making application data structures / functionality
      available to scripters
    * Full documentation for application developers and end-user scripters

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description    javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{ant} -Djava.javadoc=%{_javadocdir}/java jar docs-full

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -a %{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %{__ln_s} ${jar} ${jar/-%{version}/}; done)

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -a docs/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && %{__ln_s} %{name}-%{version} %{name})
%{__rm} -rf docs/api

%{__perl} -pi -e 's/\r$//g' docs/parser.htm docs/common.htm license.txt

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc license.txt readme.txt docs/*
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*.jar.*
%endif

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%dir %{_javadocdir}/%{name}




%changelog
* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 2.1.18-2mdv2008.0
+ Revision: 87364
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Thu Jul 05 2007 David Walluck <walluck@mandriva.org> 1:2.1.18-1mdv2008.0
+ Revision: 48692
- 2.1-b18
- 2.1.16

* Fri Apr 27 2007 David Walluck <walluck@mandriva.org> 1:2.1.15-1mdv2008.0
+ Revision: 18552
- 2.1b15


* Mon Mar 26 2007 David Walluck <walluck@mandriva.org> 1:2.1-0.b14.2mdv2007.1
+ Revision: 148788
- bump release
- include correct version of sources

* Mon Mar 26 2007 David Walluck <walluck@mandriva.org> 1:2.1-0.b14.1mdv2007.1
+ Revision: 148782
- 2.1b14

* Sun Mar 18 2007 David Walluck <walluck@mandriva.org> 1:2.1-0.b13.1mdv2007.1
+ Revision: 146344
- 2.1b13

* Mon Mar 12 2007 David Walluck <walluck@mandriva.org> 1:2.1-0.b12.1mdv2007.1
+ Revision: 141603
- 2.0b12
- 2.1b10

* Fri Nov 10 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.1-0.b9.2mdv2007.0
+ Revision: 80601
- Fix Group

* Mon Nov 06 2006 David Walluck <walluck@mandriva.org> 1:2.1-0.b9.1mdv2007.1
+ Revision: 76851
- 2.1b9

* Mon Oct 30 2006 David Walluck <walluck@mandriva.org> 1:2.1-0.b8.1mdv2007.1
+ Revision: 73691
- 2.1b8

* Fri Oct 27 2006 David Walluck <walluck@mandriva.org> 1:2.1-0.b7.1mdv2007.1
+ Revision: 72996
- Import sleep

* Sat Oct 21 2006 David Walluck <david@jpackage.org> 1:2.1-0.b7.1mdv2007.1
- 2.1b7

* Wed May 04 2005 David Walluck <david@jpackage.org> 1:2.0-0.b6.2jpp
- add array patch from sleep 050105

* Mon Apr 25 2005 David Walluck <david@jpackage.org> 1:2.0-0.b6.1jpp
- 2.0b6

* Mon Mar 14 2005 David Walluck <david@jpackage.org> 0:05.02.28-1jpp
- 05.02.28

* Wed Feb 16 2005 David Walluck <david@jpackage.org> 0:05.02.12-2jpp
- fix source

* Wed Feb 16 2005 David Walluck <david@jpackage.org> 0:05.02.12-1jpp
- 05.02.12

* Sun Jan 30 2005 David Walluck <david@jpackage.org> 0:05.01.29-1jpp
- release

